package com.uas.report.axis;

public class WSValidationException extends WSException {

	private static final long serialVersionUID = 1L;

	private final String objectName;
	private final ValidationErrors errors;

	public WSValidationException(String objectName, ValidationErrors errors) {
		super(GENERAL_ERROR2, errors.toString());

		this.objectName = objectName;
		this.errors = errors;
	}

	public ValidationErrors getErrors() {
		return errors;
	}

	public String getObjectName() {
		return objectName;
	}
}
